Subject: RE: [midcom] Semantics #4: Return values in PER

From: "Tom-PT Taylor" <[email-masked]>
Date: Thu, 5 Dec 2002 09:47:54 -0500

Good question, though I suspect it's just one of those things we decide on
and move ahead.  I've always assumed that it doesn't matter if the Agent
learns the MB type in the reply.  My issue has always been not requiring the
MA to know the MB type in advance.  I figure this simplifies the MA logic.

> -----Original Message-----
> From: Martin Stiemerling [mailto:[email-masked]] 
> Sent: Tuesday, November 19, 2002 7:08 PM
> To: [email-masked]
> Subject: [midcom] Semantics #4: Return values in PER
> 
> 
> What to return in PER transaction reply if inside and/or outside 
> address/port are not allocated?
> Examples: middlebox is packet filter (no inside or outside 
> address/port) 
> or traditional NAT (only outside address/port).
> 
> First choice: Return emtpy/none marker. This has the impact that the 
> middlebox type is no longer transparent to the agent, i.e. 
> the agent has 
> to care what type of middlebox it is using
> 
> Second choice: Return external and/or internal endpoint 
> addresses/port 
> if appropriate.
> 
> 
> 
> _______________________________________________
> midcom mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/midcom
> 
_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom